const Ajv = require('ajv');

class input_validator {
    constructor(config){
        this.schema = config;
        return this.input_validation;
    }
    input_validation(req,res,next){
        let validation = new Ajv();
        let validator = validation.compile(this.schema);
        let valid = validator(req.parseData);
        if(valid){
            next();
        }
        else{
            res.statusCode = 400;
            res.setHeader("Content_Type" , "application/json");
            res.end(JSON.stringify({error : "your information is not right!"}));
        }
    }
}

module.exports = {
    input_validator,
}